      function S0const(z,wavenm)
c
c     EXAMPLE user routine on file S0const.f
c
c     called by Sumsrc (sources.f)
c
c     This function returns a constant bioluminescence source strength
c     in W/(m^3 nm) at depth z and wavelength wavenm, for use by
c     routine sumsrc.
c
c     This source function was written to verify the analytic solution of the RTE
c     for a constant source term.
c
      data kall/0/
c
      save
c
      if(kall.eq.0) then
c
c     set the source strength:
c
      S0 = 1.0

      write(10,100) S0
c
      kall = 1
      endif
c
      s0const = S0
c
      return
c
  100 format(//2x,'The bioluminescence source function is modeled as',
     1' constant in depth and wavelength with magnitude:'/
     25x,'S0 =',1pe10.2,' W/(m^3 nm)')

      end
